Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# CollisionVisualizer Class Reference

This class is used to help debug the work the collisions system is doing. More...

Inheritance diagram for CollisionVisualizer:

List of all members.

## Public Member Functions
| CollisionVisualizer (string name)
| clear ()
| Removes all the visualization data from a previous traversal and resets the visualizer to empty.
float | getNormalScale ()
| Returns the value last set by set_normal_scale().
float | getPointScale ()
| Returns the value last set by set_point_scale().
| setNormalScale (float normal_scale)
| Scales the line segments that are drawn to represent the normals of the collisions.
| setPointScale (float point_scale)
| Scales the points that are drawn to represent the surface and interior intersection points of the collisions.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This class is used to help debug the work the collisions system is doing.

It shows the polygons that are detected as collisions, as well as those that are simply considered for collisions.

It may be parented anywhere in the scene graph where it will be rendered to achieve this.

## Constructor & Destructor Documentation

CollisionVisualizer | ( | string | name | ) |

## Member Function Documentation

clear | ( |  | ) |

Removes all the visualization data from a previous traversal and resets the visualizer to empty.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from PandaNode.

float getNormalScale | ( |  | ) |

Returns the value last set by set_normal_scale().

float getPointScale | ( |  | ) |

Returns the value last set by set_point_scale().

setNormalScale | ( | float | normal_scale | ) |

Scales the line segments that are drawn to represent the normals of the collisions.

By default, these objects are drawn at an arbitrary scale which is appropriate if the scene units are measured in feet. Change this scale accordinatly if the scene units are measured on some other scale or if you need to observe these normals from farther away.

setPointScale | ( | float | point_scale | ) |

Scales the points that are drawn to represent the surface and interior intersection points of the collisions.

By default, these objects are drawn at an arbitrary scale which is appropriate if the window units are the default range -1 .. 1. Change this scale accordinatly if the window units are measured on some other scale or if you need to observe these objects in a smaller window.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties